;jQuery(document).ready(function($) {
	/**
	 * Load category tab.
	 */

	$('.nav.filter-buttons').on('click', 'a', function(e) {
		e.preventDefault();

		$('.nav.filter-buttons a').removeClass('active');
		$(this).addClass('active');

		var cat_ids = $(this).data('ids'),
			cat 	= $(this).data('cat'),
			order 	= $(this).data('order'),
			orderby = $(this).data('orderby'),
			loader 	= $(this).data('loader');
			key 	= $(this).data('key');

		$.ajax({
			type: 'POST',
			dataType: 'html',
			url: cascara_admin_url.ajaxurl,
			data: {
				'cat'		: cat,
				'key'		: key,
				'cat_ids'	: cat_ids,
				'order'		: order,
				'orderby'	: orderby,
				'action'	: 'cascara_cat_ajax'
			},
			beforeSend : function () {
				var height = $(".nwshb-cat-tabdata").height();
				$('.nwshb-cat-tabdata').prepend('<div class="post-spinner" style="height: ' + height + 'px;"><div class="loader-wrap"><div class="loader"><div class="loader-inner ' + loader + '"></div></div></div></div>');
				$('.loader-inner').loaders();
			},
			success: function (data) {
				$(".nwshb-cat-tabdata").html(data);
				// Lazy Load Image
			  $('.cscra-image img, .cscra-promotion img').lazy({
			    effect: "fadeIn",
			    effectTime: 500,
			    visibleOnly: true,
			    threshold: 0
			  });
			  //Cascara Get Data Color Script
			  $('.post-category a').each(function() {
			    var $this = $(this);
			    $this.css('color', $this.attr('data-color'));
			    $this.css('background-color', $this.attr('data-bgcolor'));
			  });
			},
		});
	});
});
