jQuery(document).ready(function($) {
  "use strict";
  //Cascara Sticky Header Script
  $('.cscra-header-sticky').sticky ({
    topSpacing: 0,
    zIndex: 4
  });

  // Mean Menu
  var $navmenu = $('header nav');
  var $menu_starts = ($navmenu.data('nav') !== undefined) ? $navmenu.data('nav') : 991;
  $('header .cscra-navigation').meanmenu({
    meanMenuContainer: '.cscra-header > .container',
    meanMenuOpen: '<span></span><span></span><span></span>',
    meanMenuClose: '<span></span><span></span>',
    meanExpand: '<i class="fa fa-angle-down"></i>',
    meanContract: '<i class="fa fa-angle-up"></i>',
    meanScreenWidth: $menu_starts,
  });

  $( ".edition-dropdown-nav li:first-child .country-txt" ).clone().appendTo( ".edition-has-dropdown > a" );

  // Mean Nav open
  $('.meanmenu-reveal').on( 'click', function() {
    $('.mean-container').toggleClass('meanclose');
  });

  //Cascara Navigation Hover Script
  $(".has-dropdown").mouseenter(function(){
    $(this).find('ul.dropdown-nav').first().stop(false, false).slideDown(300);
  });
  $(".has-dropdown").mouseleave(function(){
    $(this).find('ul.dropdown-nav').first().stop(false, false).slideUp(300);
  });
  $('li.has-dropdown ul.dropdown-nav li.has-dropdown').addClass('sub');

  $('.mean-container .has-dropdown').unbind('mouseenter mouseleave');

  /* Side Menu */
  $('.cscra-toggle').on('click',function() {
    $('.cscra-side-navigation, .cscra-navigation-overlay').toggleClass('open');
  });
  $('.navigation-wrap .close-btn a, .cscra-navigation-overlay').on('click',function() {
    $('.cscra-side-navigation, .cscra-navigation-overlay').removeClass('open');
  });

  // Site Credit Hover Script
  $('.site-credit-link a').mouseenter(function(){
   $(this).find('.default-text').hide();
   $(this).find('.change-text').show();
  });
  $('.site-credit-link a').mouseleave(function(){
   $(this).find('.default-text').show();
   $(this).find('.change-text').hide();
  });

  // Edition Dropdown
  $(".edition-has-dropdown").mouseenter(function(){
    $(this).find('ul.edition-dropdown-nav').first().stop(false, false).slideDown(300);
  });
  $(".edition-has-dropdown").mouseleave(function(){
    $(this).find('ul.edition-dropdown-nav').first().stop(false, false).slideUp(300);
  });

  var $navmenu = $('header nav');
  var $breakpoint = ($navmenu.data('nav') !== undefined) ? $navmenu.data('nav') : 991;

  //onclick toggle class script
  var $closer_height = $('.cscra-search-wrap .cscra-table-container').outerHeight();
  $('.cscra-search-wrap').hide();
  if ($('header').hasClass('cscra-header')) {
      var $header_height;
      $header_height = jQuery('.cscra-header').outerHeight();
    } else {$header_height=0;}
  $('.search-link').on('click', function() {
    $('.cscra-search-wrap').slideToggle('fast');
     $('html').toggleClass('scroll-false');
     $('.cscra-search-wrap').toggleClass('open');
     $('.cscra-search-wrap').find('.search-input').focus();
     $('.cscra-toggle-btn').removeClass('active');
     var $window = jQuery(window);
      if ($window.width() <= $breakpoint) {
        $('html, body').animate({
          scrollTop: $(".cscra-search-wrap").offset().top - $header_height
        }, 500)
      }
  });
  $('.search-link').on('click', function() {
    $('.cscra-search-wrap').addClass('closing');
      setTimeout(function()
        {
          $('.cscra-search-wrap').removeClass('closing');
      }, 350);
  });

  //search closer script
  $('.search-closer').on('click', function() {
    $('.cscra-search-wrap').slideToggle('fast');
     $('html').removeClass('scroll-false');
     $('.cscra-search-wrap').removeClass('open');
  });
  $('.search-closer').on('click', function() {
    $('.cscra-search-wrap').addClass('closing');
      setTimeout(function()
        {
          $('.cscra-search-wrap').removeClass('closing');
      }, 350);
  });
  $('span.overlay-back.search-back').on('click', function(){
    $('.cscra-search-wrap').slideToggle('fast');
    $('html').removeClass('scroll-false');
    $('.cscra-search-wrap').removeClass('open');
  });
  $('span.overlay-back.search-back').on('click', function(){
    $('.cscra-search-wrap').addClass('closing');
      setTimeout(function()
        {
          $('.cscra-search-wrap').removeClass('closing');
      }, 350);
  });

  // Lazy Load Image
  $('.cscra-image img, .cscra-promotion img').lazy({
    effect: "fadeIn",
    effectTime: 500,
    visibleOnly: true,
    threshold: 0
  });

  //Cscra Floating Sidebar Script
  if ($('div').hasClass('cscra-floating-sidebar')) {
  $(window).scroll(function() {
    var $window = jQuery(window),
    $flotingbar = jQuery('.cscra-floating-sidebar'),
    offset = jQuery('.cscra-primary').offset(),
    $scrolling = jQuery('.cscra-primary').height(),
    $offsetHeight = jQuery('.cscra-primary').offset(),
    $topHeight = 0;
    if (jQuery('.cscra-floating-sidebar').length > 0) {
      if ($window.width() > 991) {
        if (($window.scrollTop() + $topHeight) > offset.top) {
          if ($window.scrollTop() + $topHeight + $flotingbar.height() + 50 < $offsetHeight.top + $scrolling) {
            $flotingbar.stop().animate ({
              marginTop: ($window.scrollTop() - offset.top) + $topHeight + 150,
            });
          }
          else {
            $flotingbar.stop().animate ({
              marginTop: ($scrolling - $flotingbar.height() - 80) + 26,
            });
          }
        }
        else {
          $flotingbar.stop().animate ({
            marginTop: 0,
          });
        }
      }
      else {
        $flotingbar.css('margin-top', 0);
      }
    }
  });
}

  //Frxo Sticky Sidebar Script
  $('.cscra-sticky-sidebar').theiaStickySidebar ({
    additionalMarginTop: 50
  });

  //Cascara Jarallax And Get Element CSS Script
  if (screen.width >= 768) {
      $('.cscra-parallax').jarallax ({
        speed: 0.6,
      })
    }
  if ($(window).width() >= 1200) {
    $('.cscra-sticky-footer .main-wrap-inner').css('margin-bottom', $('.cscra-footer').outerHeight());
  }


  $(window).load(function() {
    if ($('div').hasClass('cscra-video-post')) {
      function getId(url){
        var m = url.match(/[\\?\\&]v=([^\\?\\&]+)/);
        var v = url.match(/https:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/);
        var d = url.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/);
        if ( !m && !v && !d) return null;
        if(m) {
          return m[1];
        }
        if(v){
          return v[2];
        }
        if(d){
          return d[2];
        }

      }
      var myId;
      var myUrl = $("#myUrl").attr("src");
      myId = getId(myUrl);

      if(myUrl.match(/[\\?\\&]v=([^\\?\\&]+)/)) {
        $("#myUrl").attr("src", "https://www.youtube.com/embed/"+ myId + "");
      } 
      if(myUrl.match(/https:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/)) {
        $("#myUrl").attr("src", "https://player.vimeo.com/video/"+ myId + "?title=0&byline=0&portrait=0");
      }
      if(myUrl.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/)) {
        $("#myUrl").attr("src", "https://iframespot.blogspot.com/ncr/?m=0&type=dv&url=https%3A%2F%2Fwww.dailymotion.com%2Fembed%2Fvideo%2F"+ myId + "%3Fapi%3D0%26autoplay%3D1%26info%3D0%26logo%3D0%26social%3D0%26related%3D0");
      } 
    }

    $('.vertical-scroll').enscroll ({
      showOnHover: true,
      verticalScrolling: true,
    });

    // Search Popup Height Script
    if ($('div').hasClass('cscra-topbar')) {
      var $top_height;
      $top_height = jQuery('.cscra-topbar').outerHeight();
    } else {$top_height=0;}
    if ($('header').hasClass('cscra-header')) {
      var $header_height;
      $header_height = jQuery('.cscra-header').outerHeight();
    } else {$header_height=0;}
    if ($('div').hasClass('cscra-page-title')) {
      var $title_height;
      $title_height = jQuery('.cscra-page-title').outerHeight();
    } else {
      $title_height=0;
    }
    if ($('div').hasClass('trending-top-bar')) {
      var $trending_height;
      $trending_height = jQuery('.trending-top-bar').outerHeight();
    } else {
      $trending_height=0;
    }
    var $window = jQuery(window);
    if ($window.width() <= $breakpoint) {
      var $total_height = $header_height;
    } else {
      var $total_height = $top_height+$header_height+$title_height+$trending_height;
    }
    var $height_actual;
    var $window_height;
    $window_height = $(window).height() - $total_height;
    $('.cscra-search-wrap').css('height', $window_height);
    // var $closer_height = $('.cscra-search-wrap .cscra-table-container').outerHeight();
    $('.search-closer').css('height', $closer_height);

    // Marquee Script
    $('.marquee').marquee({
      duration: 15000,
      gap: 0,
      delayBeforeStart: 0,
      direction: 'left',
      pauseOnHover: true,
      duplicated: true,
      startVisible: true,
    });

    //Cascara Hover Script
    $(".post-item, .mate-item, .post-share").mouseenter(function(){
      $(this).addClass('cscra-hover');
    });
    $(".post-item, .mate-item, .post-share").mouseleave(function(){
      $(this).removeClass('cscra-hover');
    });

    //Cascara Progress Bar Script
    if ($('div').hasClass('progress-item')) {
      $('.progress-item').waypoint(function() {
        $('.progress').each(function() {
          var $this = $(this);
          $('.progress-bar', $this).animate ({
            width:$('.progress-bar', $this).attr('data-percent'),
          },100);
        });

      },
      {
        offset: '100%'
      });
    }

    //Cascara Masonry Script
    var $grid = $('.cscra-masonry').isotope ({
      itemSelector: '.masonry-item',
      layoutMode: 'packery',
      percentPosition: true,
      isFitWidth: true,
    });
    var filterFns = {
      ium: function() {
        var name = $(this).find('.name').text();
        return name.match(/ium$/);
      }
    };
    $('.masonry-filters').on('click', 'li a', function() {
      var filterValue = $(this).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({
        filter: filterValue
      });
    });
    $('.masonry-filters').each(function(i, buttonGroup) {
      var $buttonGroup = $(buttonGroup);
      $buttonGroup.on('click', 'li a', function() {
        $buttonGroup.find('.active').removeClass('active');
        $(this).addClass('active');
      });
    });

    //Cascara Flexslider Script
    $('.main-flexslider').flexslider ({
      animation: 'slide',
      controlNav: false,
      directionNav: true,
      animationLoop: false,
      slideshow: false,
      prevText: '',
      nextText: '',
      sync: '.thumb-flexslider'
    });
    $('.thumb-flexslider').flexslider ({
      animation: 'slide',
      controlNav: false,
      directionNav: false,
      animationLoop: false,
      slideshow: false,
      prevText: '',
      nextText: '',
      itemWidth: 280,
      itemMargin: 17,
      asNavFor: '.main-flexslider'
    });

    //Cascara Preloader Script
    $('.cscra-preloader').fadeOut(500);

  });

  //Cascara Get Data Color Script
  $('.post-category a').each(function() {
    var $this = $(this);
    $this.css('color', $this.attr('data-color'));
    $this.css('background-color', $this.attr('data-bgcolor'));
  });

  //Cascara Set Equal Height Script
  $('.cscra-item').matchHeight ({
    property: 'height'
  });
   $('.cscra-blog-item').matchHeight ({
    property: 'height'
  });

  //Cascara Sticky Sidebar Script
  $('.cscra-sticky-sidebar').theiaStickySidebar ({
    additionalMarginTop: 130
  });

  //Cascara Floating Sidebar Script
  $(window).scroll(function() {
    var $window = jQuery(window),
    $flotingbar = jQuery('.cscra-floating-sidebar'),
    offset = jQuery('.cscra-primary').offset(),
    $scrolling = jQuery('.cscra-primary').height(),
    $offsetHeight = jQuery('.cscra-primary').offset(),
    $topHeight = 0;
    if (jQuery('.cscra-floating-sidebar').length > 0) {
      if ($window.width() > 991) {
        if (($window.scrollTop() + $topHeight) > offset.top) {
          if ($window.scrollTop() + $topHeight + $flotingbar.height() + 50 < $offsetHeight.top + $scrolling) {
            $flotingbar.stop().animate ({
              marginTop: ($window.scrollTop() - offset.top) + $topHeight + 150,
            });
          }
          else {
            $flotingbar.stop().animate ({
              marginTop: ($scrolling - $flotingbar.height() - 80) + 26,
            });
          }
        }
        else {
          $flotingbar.stop().animate ({
            marginTop: 0,
          });
        }
      }
      else {
        $flotingbar.css('margin-top', 0);
      }
    }
  });

  //Cascara Owl Carousel Slider Script
  $('.owl-carousel').each( function() {
    var $carousel = $(this);
    var $items = ($carousel.data('items') !== undefined) ? $carousel.data('items') : 1;
    var $items_tablet = ($carousel.data('items-tablet') !== undefined) ? $carousel.data('items-tablet') : 1;
    var $items_mobile_landscape = ($carousel.data('items-mobile-landscape') !== undefined) ? $carousel.data('items-mobile-landscape') : 1;
    var $items_mobile_portrait = ($carousel.data('items-mobile-portrait') !== undefined) ? $carousel.data('items-mobile-portrait') : 1;
    $carousel.owlCarousel ({
      loop : ($carousel.data('loop') !== undefined) ? $carousel.data('loop') : true,
      items : $carousel.data('items'),
      margin : ($carousel.data('margin') !== undefined) ? $carousel.data('margin') : 0,
      dots : ($carousel.data('dots') !== undefined) ? $carousel.data('dots') : true,
      nav : ($carousel.data('nav') !== undefined) ? $carousel.data('nav') : false,
      navText : ["<div class='slider-no-current'><span class='current-no'></span><span class='total-no'></span></div><span class='current-monials'></span>", "<div class='slider-no-next'></div><span class='next-monials'></span>"],
      autoplay : ($carousel.data('autoplay') !== undefined) ? $carousel.data('autoplay') : false,
      autoplayTimeout : ($carousel.data('autoplay-timeout') !== undefined) ? $carousel.data('autoplay-timeout') : 5000,
      animateIn : ($carousel.data('animatein') !== undefined) ? $carousel.data('animatein') : false,
      animateOut : ($carousel.data('animateout') !== undefined) ? $carousel.data('animateout') : false,
      mouseDrag : ($carousel.data('mouse-drag') !== undefined) ? $carousel.data('mouse-drag') : true,
      autoWidth : ($carousel.data('auto-width') !== undefined) ? $carousel.data('auto-width') : false,
      autoHeight : ($carousel.data('auto-height') !== undefined) ? $carousel.data('auto-height') : false,
      center : ($carousel.data('center') !== undefined) ? $carousel.data('center') : false,
      responsiveClass: true,
      dotsEachNumber: true,
      smartSpeed: 600,
      responsive : {
        0 : {
          items : $items_mobile_portrait,
        },
        480 : {
          items : $items_mobile_landscape,
        },
        768 : {
          items : $items_tablet,
        },
        1024 : {
          items : $items,
        }
      }
    });
    var totLength = $('.owl-dot', $carousel).length;
    $('.total-no', $carousel).html(totLength);
    $('.current-no', $carousel).html(totLength);
    $carousel.owlCarousel();
    $('.current-no', $carousel).html(1);
    $carousel.on('changed.owl.carousel', function(event) {
      var total_items = event.page.count;
      var currentNum = event.page.index + 1;
      $('.total-no', $carousel ).html(total_items);
      $('.current-no', $carousel).html(currentNum);
      $('.cscra-image img, .cscra-promotion img').lazy({
        effect: "fadeIn",
        effectTime: 500,
        visibleOnly: true,
        threshold: 0
      });
    });
  });

  //Cascara Popup Video Script
  $('.cscra-popup-video').magnificPopup ({
    mainClass: 'mfp-fade',
    type: 'iframe',
    closeMarkup:'<div class="mfp-close" title="%title%"></div>',
    iframe: {
      patterns: {
        youtube: {
          index: 'youtube.com/',
          id: function(url) {
            var m = url.match(/[\\?\\&]v=([^\\?\\&]+)/);
            if ( !m || !m[1] ) return null;
            return m[1];
          },
          src: 'https://www.youtube.com/embed/%id%?autoplay=1'
        },
        vimeo: {
          index: 'vimeo.com/',
          id: function(url) {
            var m = url.match(/(https?:\/\/)?(www.)?(player.)?vimeo.com\/([a-z]*\/)*([0-9]{6,11})[?]?.*/);
            if ( !m || !m[5] ) return null;
            return m[5];
          },
          src: 'https://player.vimeo.com/video/%id%?autoplay=1'
        }
      }
    }
  });

  //Cascara Back Top Script
  if ($('div').hasClass('cscra-back-top')) {
    var backtop = $('.cscra-back-top');
    var position = backtop.offset().top;
    $(window).scroll(function() {
      var windowposition = $(window).scrollTop();
      if(windowposition + $(window).height() == $(document).height()) {
        backtop.removeClass('active');
      }
      else if (windowposition > 150) {
        backtop.addClass('active');
      }
      else {
        backtop.removeClass('active');
      }
    });
    $('.cscra-back-top a').on('click', function() {
      jQuery('body,html').animate ({
        scrollTop: 0
      }, 2000);
      return false;
    });
  }

  $("ul.nav.filter-buttons li.dropdown").mouseenter(function(){
    $(this).addClass('open');
    $(this).find('a.dropdown-toggle').addClass('active');
    $(this).find('.dropdown-menu').stop(true, true).delay(200).fadeIn(500);
  });
  $("ul.nav.filter-buttons li.dropdown").mouseleave(function(){
    $(this).removeClass('open');
    $(this).find('a.dropdown-toggle').removeClass('active');
    $(this).find('.dropdown-menu').stop(true, true).delay(200).fadeOut(500);
  });

});