<?php
// Metabox
global $post;
$cascara_id    = ( isset( $post ) ) ? $post->ID : false;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $cascara_id : false;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );
if ($cascara_meta) {
  $cascara_topbar_options = $cascara_meta['topbar_options'];
} else {
  $cascara_topbar_options = '';
}
// Define Theme Options and Metabox varials in right way!
if ($cascara_meta) {
  if ($cascara_topbar_options === 'custom' && $cascara_topbar_options !== 'default') {
    $cascara_top_left           = $cascara_meta['top_left'];
    $cascara_top_right          = $cascara_meta['top_right'];
    $cascara_top_center          = $cascara_meta['top_center'];
    $cascara_topbar_left_width  = $cascara_meta['topbar_left_width'];
    $cascara_topbar_right_width = $cascara_meta['topbar_right_width'];
    $cascara_topbar_center_width = $cascara_meta['topbar_center_width'];
    $cascara_left_width         = $cascara_topbar_left_width ? 'width:'. $cascara_topbar_left_width .';' : '';
    $cascara_right_width        = $cascara_topbar_right_width ? 'width:'. $cascara_topbar_right_width .';' : '';
    $cascara_center_width        = $cascara_topbar_center_width ? 'width:'. $cascara_topbar_center_width .';' : '';
    $cascara_hide_topbar        = $cascara_topbar_options;
    $cascara_topbar_bg          = $cascara_meta['topbar_bg'];
    if ($cascara_topbar_bg) {
      $cascara_topbar_bg = 'background-color: '. $cascara_topbar_bg .';';
    } else {$cascara_topbar_bg = '';}
  } else {
    $cascara_top_left           = cs_get_option('top_left');
    $cascara_top_right          = cs_get_option('top_right');
    $cascara_top_center          = cs_get_option('top_center');
    $cascara_topbar_left_width  = cs_get_option('topbar_left_width');
    $cascara_topbar_right_width = cs_get_option('topbar_right_width');
    $cascara_topbar_center_width = cs_get_option('topbar_center_width');
    $cascara_left_width         = $cascara_topbar_left_width ? 'width:'. $cascara_topbar_left_width .';' : '';
    $cascara_right_width        = $cascara_topbar_right_width ? 'width:'. $cascara_topbar_right_width .';' : '';
    $cascara_center_width        = $cascara_topbar_center_width ? 'width:'. $cascara_topbar_center_width .';' : '';
    $cascara_hide_topbar        = cs_get_option('top_bar');
    $cascara_topbar_bg          = '';
  }
} else {
  // Theme Options fields
  $cascara_top_left           = cs_get_option('top_left');
  $cascara_top_right          = cs_get_option('top_right');
  $cascara_top_center          = cs_get_option('top_center');
  $cascara_topbar_left_width  = cs_get_option('topbar_left_width');
  $cascara_topbar_right_width = cs_get_option('topbar_right_width');
  $cascara_topbar_center_width = cs_get_option('topbar_center_width');
  $cascara_left_width         = $cascara_topbar_left_width ? 'width:'. $cascara_topbar_left_width .';' : '';
  $cascara_right_width        = $cascara_topbar_right_width ? 'width:'. $cascara_topbar_right_width .';' : '';
  $cascara_center_width        = $cascara_topbar_center_width ? 'width:'. $cascara_topbar_center_width .';' : '';
  $cascara_hide_topbar        = cs_get_option('top_bar');
  $cascara_topbar_bg          = '';
}
// All options
if ($cascara_meta && $cascara_topbar_options === 'custom' && $cascara_topbar_options !== 'default') {
  $cascara_top_left = ( $cascara_top_left ) ? $cascara_meta['top_left'] : cs_get_option('top_left');
  $cascara_top_right = ( $cascara_top_right ) ? $cascara_meta['top_right'] : cs_get_option('top_right');
  $cascara_top_center = ( $cascara_top_center ) ? $cascara_meta['top_center'] : cs_get_option('top_center');
} else {
  $cascara_top_left = cs_get_option('top_left');
  $cascara_top_right = cs_get_option('top_right');
  $cascara_top_center = cs_get_option('top_center');
}
if ($cascara_meta && $cascara_topbar_options !== 'default') {
  if ($cascara_topbar_options === 'hide_topbar') {
    $cascara_hide_topbar = 'hide';
  } else {
    $cascara_hide_topbar = 'show';
  }
} else {
  $cascara_hide_topbar_check = cs_get_option('top_bar');
  if ($cascara_hide_topbar_check === true ) {
    $cascara_hide_topbar = 'hide';
  } else {
    $cascara_hide_topbar = 'show';
  }
}
if ($cascara_meta) {
  $cascara_topbar_bg = ( $cascara_topbar_bg ) ? $cascara_meta['topbar_bg'] : '';
} else {
  $cascara_topbar_bg = '';
}

if ($cascara_topbar_bg) {
  $cascara_topbar_bg = 'background-color: '. $cascara_topbar_bg .';';
} else {$cascara_topbar_bg = '';}

$cascara_left_width   = $cascara_topbar_left_width ? 'width:'. $cascara_topbar_left_width .';' : '';
$cascara_right_width  = $cascara_topbar_right_width ? 'width:'. $cascara_topbar_right_width .';' : '';
$cascara_center_width  = $cascara_topbar_center_width ? 'width:'. $cascara_topbar_center_width .';' : '';

if($cascara_hide_topbar === 'show') {
if($cascara_top_left || $cascara_top_right || $cascara_top_center ) {
?>

<div class="cscra-topbar">
  <div class="container">
    <div class="pull-left" style="<?php echo esc_attr($cascara_left_width); ?>">
    <ul>
      <?php echo do_shortcode($cascara_top_left); ?>
    </ul>
    </div>
    <div class="pull-center top-bar-center" style="<?php echo esc_attr($cascara_center_width); ?>">
      <ul>
        <?php echo do_shortcode($cascara_top_center); ?>
      </ul>
    </div>
    <div class="pull-right" style="<?php echo esc_attr($cascara_right_width); ?>">
      <ul>
        <?php echo do_shortcode($cascara_top_right); ?>
      </ul>
    </div>
  </div>
</div>
<div class="tob-bar-secondary">

</div>
<?php } } // Hide Topbar - From Metabox
