<?php
/*
 * The template for displaying all single team.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */
get_header();

// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );
if ($cascara_meta) {
	$cascara_content_padding = $cascara_meta['content_spacings'];
} else { $cascara_content_padding = ''; }
// Padding - Theme Options
if ($cascara_content_padding && $cascara_content_padding !== 'padding-none') {
	$cascara_content_top_spacings = $cascara_meta['content_top_spacings'];
	$cascara_content_bottom_spacings = $cascara_meta['content_bottom_spacings'];
	if ($cascara_content_padding === 'padding-custom') {
		$cascara_content_top_spacings = $cascara_content_top_spacings ? 'padding-top:'. cascara_check_px($cascara_content_top_spacings) .';' : '';
		$cascara_content_bottom_spacings = $cascara_content_bottom_spacings ? 'padding-bottom:'. cascara_check_px($cascara_content_bottom_spacings) .';' : '';
		$cascara_custom_padding = $cascara_content_top_spacings . $cascara_content_bottom_spacings;
	} else {
		$cascara_custom_padding = '';
	}
} else {
	$cascara_top_spacing = cs_get_option('team_top_spacing');
	$cascara_bottom_spacing = cs_get_option('team_bottom_spacing');
	if ($cascara_top_spacing || $cascara_bottom_spacing) {
		$cascara_top_spacing = $cascara_top_spacing ? 'padding-top:'. cascara_check_px($cascara_top_spacing) .';' : '';
		$cascara_bottom_spacing = $cascara_bottom_spacing ? 'padding-bottom:'. cascara_check_px($cascara_bottom_spacing) .';' : '';
		$cascara_custom_padding = $cascara_top_spacing . $cascara_bottom_spacing;
	} else {
		$cascara_custom_padding = '';
	}
}
// Sidebar Position
$cascara_layout_class = 'col-lg-12 no-padding';
?>
<div class="container cscra-content-area <?php echo esc_attr($cascara_content_padding); ?>" style="<?php echo esc_attr($cascara_custom_padding); ?>">
<div class="row">
	<div class="<?php echo esc_attr($cascara_layout_class); ?> sngl-team-cnt">
		<div class="cscra-blog-one cscra-blog-list cscra-blog-col-1">
		<?php
		if (have_posts()) : while (have_posts()) : the_post();
			the_content();
		endwhile;
		endif;
		?>
		</div><!-- Blog Div -->
		<?php
    wp_reset_postdata();  // avoid errors further down the page
		?>
	</div><!-- Content Area -->

</div>
</div>
<?php
get_footer();
